gnutls_init(3)

NAME
gnutls_init - This function initializes the session to null (null encryption etc...).

SYNOPSIS
#include <gnutls/gnutls.h>

int gnutls_init(gnutls_session_t * session, gnutls_connection_end_t con_end);

ARGUMENTS

gnutls_session_t * session
    is a pointer to a gnutls_session_t structure.

gnutls_connection_end_t con_end
    is used to indicate if this session is to be used for server or client. Can be one of GNUTLS_CLIENT and GNUTLS_SERVER.

DESCRIPTION
This function initializes the current session to null. Every session must be initialized before use, so internal structures can be allocated. This function allocates structures which can only be free'd by calling gnutls_deinit(). Returns zero on success.

REPORTING BUGS
Report bugs to <bug-gnutls@gnu.org>.

COPYRIGHT
Copyright © 2006, 2007 Free Software Foundation.
Permission is granted to make and distribute verbatim copies of this manual provided the copyright notice and this permission notice are preserved on all copies.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the info and gnutls programs are properly installed at your site, the command

    info gnutls

should give you access to the complete manual.